CVE-2020-26217:XStream 远程代码执行漏洞通告

时间:2020-11-18

0x01 漏洞简述

2020年11月16日,360CERT监测发现 XStream 发布了 XStream 安全更新 的风险通告,该漏洞编号为 CVE-2020-26217 ,漏洞等级: 严重 ,漏洞评分: 9.8 。

XStream 发布安全更新修复了一处反序列化漏洞,旧版XStream中存在一处黑名单绕过,利用该绕过可触发恶意的反序列化流程,导致远程代码执行。

未授权的远程攻击者通过向使用 XStream 的web应用发送特制请求,可导致远程代码执行,并获得该服务器控制权限。

对此,360CERT建议广大用户及时将 XStream 升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02 风险等级

360CERT对该漏洞的评定结果如下:

评定方式

等级

威胁等级

严重
影响面

一般

360CERT评分

9.8

 

0x03 漏洞详情

CVE-2020-26217: 序列化漏洞

XStream 的反序列化流程中存在一处黑名单绕过,允许 恶意反序列化链 执行,最终导致远程代码执行。该漏洞是 CVE-2013-7285 的进一步变体,其原因是 javax.imageio.ImageIO$ContainsFilter 该 类对象 在与其他实现命令执行、代码执行的 类对象 一起使用的时候会造成代码执行。

 

0x04 影响版本

  • xstream:xstream: <=1.4.13

0x05 修复建议

通用修补建议

参考官方通告升级到 1.4.14 :

新版XStream下载地址

0x07 时间线

2020-11-16 XStream发布更新通告

2020-11-16 360CERT发布通告

 

0x08 参考链接

  1. XStream 官方通告

0x09 特制报告下载链接

一直以来,360CERT对全球重要网络安全事件进行快速通报、应急响应。为更好地为政企用户提供最新漏洞以及信息安全事件的安全通告服务,现360CERT正式推出安全通告特制版报告,以便用户做资料留存、传阅研究与查询验证。 用户可直接通过以下链接进行特制报告的下载。

CVE-2020-26217: XStream 远程代码执行漏洞通告

 

本文由360CERT安全通告原创发布

出处: https://www.anquanke.com/post/id/222666